
QGIS Application - Bug report #829

QGIS crashes if more than about 6 files have been moved or renamed

2007-11-22 03:33 PM - gburns -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10888

Description

If there are more than about 6 files that QGIS can’t find when it is opening a project, because they have been moved or renamed, it will

crash.

History

#1 - 2008-07-31 12:32 AM - Tim Sutton

Hi

I tried to replicate this by creating a project with 8 or so layers, closing the project, moving the data aside and then reopening the project. I was prompted

for each layer and then QGIS continued to function as normal. Can you please verify this issue still exists?

Regards

Tim

#2 - 2009-07-01 01:25 PM - Giovanni Manghi

Made tests with qgis 1.1/1.2 (linux) and 1.2 (windows xp professional) and I cannot replicate the crashes. Tested up to 11 layers.

I suggest to close this, maybe after testing on Mac OsX, but I doubt this bug is still actual also on this platform.

If I have to make a suggestion I would say that the question

"where is 'XYZ.shp' (original location...)"

is not easy to spot.

See attached file.

#3 - 2009-07-09 01:01 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Closing, reopen it if necessary.
Files

Screenshot.png 72.2 KB 2009-07-01 Giovanni Manghi
